POST Agents/Contact/GetContactWithPersons
Some tooltip text!
• 10 minutes to read
• 10 minutes to read
POST /api/v1/Agents/Contact/GetContactWithPersons
Returns the contact with all the contact persons belonging to the contact
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Contact/GetContactWithPersons?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ContactId
| Property Name | Type | Description |
|---|---|---|
| ContactId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntity
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Contact/GetContactWithPersons
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ContactId": 247
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 539,
"Name": "Consulting Partners Inc",
"Department": "Advisory Services",
"OrgNr": "654987321",
"Number1": "10005",
"Number2": "20005",
"UpdatedDate": "2022-07-23T10:10:59.3854658+02:00",
"CreatedDate": "2001-12-03T10:10:59.3854658+01:00",
"Emails": [
{
"Value": "info@consultingpartners.com",
"StrippedValue": "info@consultingpartners.com",
"Description": "General inquiries",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 370
}
}
},
{
"Value": "id",
"StrippedValue": "dolorem",
"Description": "Switchable web-enabled projection",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 370
}
}
}
],
"Interests": [
{
"Id": 963,
"Name": "Business Advisory Network",
"ToolTip": "Professional network for business consultants",
"Deleted": false,
"Rank": 641,
"Type": "et",
"ColorBlock": 554,
"IconHint": "eaque",
"Selected": false,
"LastChanged": "2009-01-05T10:10:59.4011126+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "corrupti",
"StyleHint": "harum",
"Hidden": true,
"FullName": "Theresa Justyn Kerluke V",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 750
}
}
}
],
"Urls": [
{
"Value": "deserunt",
"StrippedValue": "aliquam",
"Description": "Customer-focused modular process improvement",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 804
}
}
},
{
"Value": "deserunt",
"StrippedValue": "aliquam",
"Description": "Customer-focused modular process improvement",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 804
}
}
}
],
"Phones": [
{
"Value": "nesciunt",
"StrippedValue": "reiciendis",
"Description": "Distributed optimizing paradigm",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 794
}
}
},
{
"Value": "nesciunt",
"StrippedValue": "reiciendis",
"Description": "Distributed optimizing paradigm",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 794
}
}
}
],
"Faxes": [
{
"Value": "quasi",
"StrippedValue": "accusantium",
"Description": "Devolved motivating firmware",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 779
}
}
},
{
"Value": "quasi",
"StrippedValue": "accusantium",
"Description": "Devolved motivating firmware",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 779
}
}
}
],
"Description": "Public-key exuding structure",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "saepe",
"PersonId": 474,
"Mrmrs": "voluptatum",
"Firstname": "Zora",
"Lastname": "Prosacco",
"MiddleName": "Price, Considine and Weissnat",
"Title": "eum",
"Description": "Monitored assymetric alliance",
"Email": "idell@murphyherzog.uk",
"FullName": "Clementina Schowalter",
"DirectPhone": "1-465-286-2121 x7658",
"FormalName": "O'Reilly, Zemlak and Gibson",
"CountryId": 138,
"ContactId": 907,
"ContactName": "Johnson LLC",
"Retired": 5,
"Rank": 150,
"ActiveInterests": 2,
"ContactDepartment": "",
"ContactCountryId": 281,
"ContactOrgNr": "153870",
"FaxPhone": "1-842-250-8936 x21298",
"MobilePhone": "073-286-3909",
"ContactPhone": "1-556-776-0471 x590",
"AssociateName": "Smitham, Weber and Smitham",
"AssociateId": 768,
"UsePersonAddress": true,
"ContactFax": "possimus",
"Kanafname": "et",
"Kanalname": "error",
"Post1": "itaque",
"Post2": "sint",
"Post3": "vitae",
"EmailName": "eulalia.wiegand@nader.uk",
"ContactFullName": "Hipolito Mathilde Schulist DDS",
"ActiveErpLinks": 282,
"TicketPriorityId": 334,
"SupportLanguageId": 656,
"SupportAssociateId": 541,
"CategoryName": "VIP Customer",
"PersonNumber": "320909",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 668
}
}
}
],
"NoMailing": false,
"Kananame": "velit",
"Xstop": false,
"ActiveInterests": 303,
"GroupId": 243,
"ActiveStatusMonitorId": 401,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 744,
"DbiAgentId": 496,
"DbiLastSyncronized": "2014-01-09T10:10:59.4011126+01:00",
"DbiKey": "quia",
"DbiLastModified": "2009-03-16T10:10:59.4011126+01:00",
"SupportPerson": null,
"Address": null,
"Source": 182,
"ActiveErpLinks": 929,
"BounceEmails": [
"jimmy.abshire@schuppeharber.com",
"suzanne_bartell@balistreri.ca"
],
"Domains": [
"qui",
"voluptatibus"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Darby Mayert",
"SuperOffice:2": "Kayleigh Kuhn"
},
"ExtraFields": {
"ExtraFields1": "tempora",
"ExtraFields2": "et"
},
"CustomFields": {
"CustomFields1": "error",
"CustomFields2": "rem"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 576
}
}
}